/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.cmp2.cacheinvalidation.ejb;

/**
 * @author <a href="mailto:alex@jboss.org">Alexey Loubyansky</a>
 * @version <tt>$Revision: 1.1.2.1 $</tt>
 */
public interface Facade
   extends javax.ejb.EJBObject
{
   public void setup()
      throws java.lang.Exception, java.rmi.RemoteException;

   public void tearDown()
      throws java.lang.Exception, java.rmi.RemoteException;

   public java.lang.String readFirstName(java.lang.String jndiName, java.lang.Long id)
      throws java.lang.Exception, java.rmi.RemoteException;

   public void writeFirstName(java.lang.String jndiName, java.lang.Long id, java.lang.String name)
      throws java.lang.Exception, java.rmi.RemoteException;

   public java.lang.String readRelatedAFirstName(java.lang.String jndiName, java.lang.Long id)
      throws java.lang.Exception, java.rmi.RemoteException;

   public void removeA(java.lang.String jndiName, java.lang.Long id)
      throws java.lang.Exception, java.rmi.RemoteException;
}
